Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156112 - After installing dbus-0.33-1, hal-device-manager can't be executed.
Summary: After installing dbus-0.33-1, hal-device-manager can't be executed.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-04-27 16:51 UTC by sangu
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version: 0.5.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-28 15:09:54 UTC


Attachments (Terms of Use)

Description sangu 2005-04-27 16:51:33 UTC
Description of problem:
After installing dbus-0.33-1, hal-device-manager can't be executed.

$hal-device-manager
/usr/share/hal/device-manager/Representation.py:14: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  icon = gtk.gdk.Pixbuf(gtk.gdk.COLORSPACE_RGB, gtk.TRUE, 8, 16, 16)
Traceback (most recent call last):
  File "/usr/bin/hal-device-manager", line 18, in ?
    DeviceManager()
  File "/usr/share/hal/device-manager/DeviceManager.py", line 46, in __init__
    self.hal_service = self.bus.get_service("org.freedesktop.Hal")
AttributeError: Bus instance has no attribute 'get_service'

Version-Release number of selected component (if applicable):
hal-0.5.0.cvs20050404b-3

How reproducible:
always

Steps to Reproduce:
1. Execute hal-device-manager
2.
3.
  
Actual results:


Expected results:


Additional info:
dbus-0.33-1

Comment 1 David Zeuthen 2005-04-28 15:09:54 UTC
This is now fixed in hal-0.5.1-1.


Note You need to log in before you can comment on or make changes to this bug.